from pydantic import BaseSettings


class Settings(BaseSettings):
    # we may want use DSN validators from pydantic.
    # but there are no sqlite validators?
    database_url: str = "sqlite:///./paketshop.db"
    backend_url: str = "http://localhost:8000"
    customer_url: str = "http://localhost:3000"
    worker_url: str = "http://localhost:3002"

    # well known password for workers
    shared_secret: str = "worker_secret"
    # app data signing key (global for all users. keep this secret)
    signing_key: str = "2d18526256a001bc0553c9957897d75d"
    # lifetime for auth tokens
    token_lifetime: int = 60
    # length of delivery tags (address-tag, keep this short but unique)
    tag_length: int = 8

    class Config:
        env_file = ".env"


settings = Settings()
